/* write.c -- write characters to file, with hook.
 * 
 * Copyright (c) 2003 Red Hat Inc
 *
 * The authors hereby grant permission to use, copy, modify, distribute,
 * and license this software and its documentation for any purpose, provided
 * that existing copyright notices are retained in all copies and that this
 * notice is included verbatim in any distributions. No written agreement,
 * license, or royalty fee is required for any of the authorized uses.
 * Modifications to this software may be copyrighted by their authors
 * and need not follow the licensing terms described here, provided that
 * the new terms are clearly indicated on the first page of each file where
 * they apply.
 */

extern int __mep_write(int, unsigned char *, int);
extern void _ioOut(int) __attribute__((weak));

int
write(int fd, unsigned char *buf, int count)
{
  if ((fd == 1 || fd == 2) && &_ioOut)
    {
      int c = count;
      while (c > 0)
	{
	  c --;
	  _ioOut(*buf++);
	}
      return count;
    }
  return __mep_write(fd, buf, count);
}
